import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData){
  return request.post(constant.serverUrl + "/business/fillAttendanceFiles/pageList", formData);
}

function create(){
  return request.get(constant.serverUrl + "/business/fillAttendanceFiles/create");
}

function edit(id){
  return request.get(constant.serverUrl + "/business/fillAttendanceFiles/edit/" + id);
}

function add(formModel){
  return request.post(constant.serverUrl + "/business/fillAttendanceFiles/add", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel){  
  return request.post(constant.serverUrl + "/business/fillAttendanceFiles/update", formModel,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id){
  return request.post(constant.serverUrl + "/business/fillAttendanceFiles/delete/" + id);
}

function batchRemove(idList){
  return request.post(constant.serverUrl + "/business/fillAttendanceFiles/batchDelete",idList,{
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list(formData){
  return request.post(constant.serverUrl + "/business/fillAttendanceFiles/list", formData);
}

export default {
  pageList,create,edit,add,update,remove,batchRemove,list
}